diff --git a/sys/dev/misc/psm/psm.c b/sys/dev/misc/psm/psm.c
index 4a6ede1..d7a8535 100644
--- a/sys/dev/misc/psm/psm.c
+++ b/sys/dev/misc/psm/psm.c
@@ -536,99 +669,97 @@ static int
 is_a_mouse(int id)
 {
 #if 0
-    static int valid_ids[] = {
-        PSM_MOUSE_ID,		/* mouse */
-        PSM_BALLPOINT_ID,	/* ballpoint device */
-        PSM_INTELLI_ID,		/* Intellimouse */
-        PSM_EXPLORER_ID,	/* Intellimouse Explorer */
-        -1			/* end of table */
-    };
-    int i;
-
-    for (i = 0; valid_ids[i] >= 0; ++i)
-        if (valid_ids[i] == id)
-            return TRUE;
-    return FALSE;
+	static int valid_ids[] = {
+		PSM_MOUSE_ID,		/* mouse */
+		PSM_BALLPOINT_ID,	/* ballpoint device */
+		PSM_INTELLI_ID,		/* Intellimouse */
+		PSM_EXPLORER_ID,	/* Intellimouse Explorer */
+		-1			/* end of table */
+	};
+	int i;
+
+	for (i = 0; valid_ids[i] >= 0; ++i)
+	if (valid_ids[i] == id)
+		return (TRUE);
+	return (FALSE);
 #else
-    return TRUE;
+	return (TRUE);
 #endif
 }
 
 static char *
 model_name(int model)
 {
-    static struct {
-	int model_code;
-	char *model_name;
-    } models[] = {
-        { MOUSE_MODEL_NETSCROLL,	"NetScroll" },
-        { MOUSE_MODEL_NET,		"NetMouse/NetScroll Optical" },
-        { MOUSE_MODEL_GLIDEPOINT,	"GlidePoint" },
-        { MOUSE_MODEL_THINK,		"ThinkingMouse" },
-        { MOUSE_MODEL_INTELLI,		"IntelliMouse" },
-        { MOUSE_MODEL_MOUSEMANPLUS,	"MouseMan+" },
-        { MOUSE_MODEL_VERSAPAD,		"VersaPad" },
-        { MOUSE_MODEL_EXPLORER,		"IntelliMouse Explorer" },
-        { MOUSE_MODEL_4D,		"4D Mouse" },
-        { MOUSE_MODEL_4DPLUS,		"4D+ Mouse" },
-        { MOUSE_MODEL_GENERIC,		"Generic PS/2 mouse" },
-        { MOUSE_MODEL_UNKNOWN,		NULL },
-    };
-    int i;
-
-    for (i = 0; models[i].model_code != MOUSE_MODEL_UNKNOWN; ++i) {
-	if (models[i].model_code == model)
-	    return models[i].model_name;
-    }
-    return "Unknown";
+	static struct {
+		int	model_code;
+		char	*model_name;
+	} models[] = {
+		{ MOUSE_MODEL_NETSCROLL,	"NetScroll" },
+		{ MOUSE_MODEL_NET,		"NetMouse/NetScroll Optical" },
+		{ MOUSE_MODEL_GLIDEPOINT,	"GlidePoint" },
+		{ MOUSE_MODEL_THINK,		"ThinkingMouse" },
+		{ MOUSE_MODEL_INTELLI,		"IntelliMouse" },
+		{ MOUSE_MODEL_MOUSEMANPLUS,	"MouseMan+" },
+		{ MOUSE_MODEL_VERSAPAD,		"VersaPad" },
+		{ MOUSE_MODEL_EXPLORER,		"IntelliMouse Explorer" },
+		{ MOUSE_MODEL_4D,		"4D Mouse" },
+		{ MOUSE_MODEL_4DPLUS,		"4D+ Mouse" },
+		{ MOUSE_MODEL_SYNAPTICS,	"Synaptics Touchpad" },
+		{ MOUSE_MODEL_GENERIC,		"Generic PS/2 mouse" },
+		{ MOUSE_MODEL_UNKNOWN,		"Unknown" },
+	};
+	int i;
+
+	for (i = 0; models[i].model_code != MOUSE_MODEL_UNKNOWN; ++i)
+		if (models[i].model_code == model)
+			break;
+	return (models[i].model_name);
 }
 
 static void
 recover_from_error(KBDC kbdc)
 {
-    /* discard anything left in the output buffer */
-    empty_both_buffers(kbdc, 10);
+	/* discard anything left in the output buffer */
+	empty_both_buffers(kbdc, 10);
 
 #if 0
-    /*
-     * NOTE: KBDC_RESET_KBD may not restore the communication between the
-     * keyboard and the controller.
-     */
-    reset_kbd(kbdc);
+	/*
+	 * NOTE: KBDC_RESET_KBD may not restore the communication between the
+	 * keyboard and the controller.
+	 */
+	reset_kbd(kbdc);
 #else
-    /*
-     * NOTE: somehow diagnostic and keyboard port test commands bring the
-     * keyboard back.
-     */
-    if (!test_controller(kbdc)) 
-        log(LOG_ERR, "psm: keyboard controller failed.\n");
-    /* if there isn't a keyboard in the system, the following error is OK */
-    if (test_kbd_port(kbdc) != 0) {
-	if (verbose)
-	    log(LOG_ERR, "psm: keyboard port failed.\n");
-    }
+	/*
+	 * NOTE: somehow diagnostic and keyboard port test commands bring the
+	 * keyboard back.
+	 */
+	if (!test_controller(kbdc))
+		log(LOG_ERR, "psm: keyboard controller failed.\n");
+	/* if there isn't a keyboard in the system, the following error is OK */
+	if (test_kbd_port(kbdc) != 0)
+		VLOG(1, (LOG_ERR, "psm: keyboard port failed.\n"));
 #endif
 }
 
 static int
 restore_controller(KBDC kbdc, int command_byte)
 {
-    empty_both_buffers(kbdc, 10);
-
-    if (!set_controller_command_byte(kbdc, 0xff, command_byte)) {
-	log(LOG_ERR, "psm: failed to restore the keyboard controller "
-		     "command byte.\n");
-	empty_both_buffers(kbdc, 10);
-	return FALSE;
-    } else {
 	empty_both_buffers(kbdc, 10);
-	return TRUE;
-    }
+
+	if (!set_controller_command_byte(kbdc, 0xff, command_byte)) {
+		log(LOG_ERR, "psm: failed to restore the keyboard controller "
+		    "command byte.\n");
+		empty_both_buffers(kbdc, 10);
+		return (FALSE);
+	} else {
+		empty_both_buffers(kbdc, 10);
+		return (TRUE);
+	}
 }
 
-/* 
+/*
  * Re-initialize the aux port and device. The aux port must be enabled
- * and its interrupt must be disabled before calling this routine. 
+ * and its interrupt must be disabled before calling this routine.
  * The aux device will be disabled before returning.
  * The keyboard controller must be locked via `kbdc_lock()' before
  * calling this routine.
diff --git a/sys/dev/misc/psm/psm.c b/sys/dev/misc/psm/psm.c
index 4a6ede1..d7a8535 100644
--- a/sys/dev/misc/psm/psm.c
+++ b/sys/dev/misc/psm/psm.c
@@ -2392,13 +3509,13 @@ psmkqfilter(struct dev_kqfilter_args *ap)
 	ap->a_result = 0;
 
 	switch (kn->kn_filter) {
-	case EVFILT_READ:
-		kn->kn_fop = &psmfiltops;
-		kn->kn_hook = (caddr_t)sc;
-		break;
-	default:
-		ap->a_result = EOPNOTSUPP;
-		return (0);
+		case EVFILT_READ:
+			kn->kn_fop = &psmfiltops;
+			kn->kn_hook = (caddr_t)sc;
+			break;
+		default:
+			ap->a_result = EOPNOTSUPP;
+			return (0);
 	}
 
 	klist = &sc->rkq.ki_note;
@@ -2435,56 +3552,56 @@ psmfilter(struct knote *kn, long hint)
 
 static int mouse_id_proc1(KBDC kbdc, int res, int scale, int *status)
 {
-    if (set_mouse_resolution(kbdc, res) != res)
-        return FALSE;
-    if (set_mouse_scaling(kbdc, scale)
-	&& set_mouse_scaling(kbdc, scale)
-	&& set_mouse_scaling(kbdc, scale) 
-	&& (get_mouse_status(kbdc, status, 0, 3) >= 3)) 
-	return TRUE;
-    return FALSE;
+	if (set_mouse_resolution(kbdc, res) != res)
+		return (FALSE);
+	if (set_mouse_scaling(kbdc, scale) &&
+	    set_mouse_scaling(kbdc, scale) &&
+	    set_mouse_scaling(kbdc, scale) &&
+	    (get_mouse_status(kbdc, status, 0, 3) >= 3))
+		return (TRUE);
+	return (FALSE);
 }
 
-static int 
+static int
 mouse_ext_command(KBDC kbdc, int command)
 {
-    int c;
-
-    c = (command >> 6) & 0x03;
-    if (set_mouse_resolution(kbdc, c) != c)
-	return FALSE;
-    c = (command >> 4) & 0x03;
-    if (set_mouse_resolution(kbdc, c) != c)
-	return FALSE;
-    c = (command >> 2) & 0x03;
-    if (set_mouse_resolution(kbdc, c) != c)
-	return FALSE;
-    c = (command >> 0) & 0x03;
-    if (set_mouse_resolution(kbdc, c) != c)
-	return FALSE;
-    return TRUE;
+	int c;
+
+	c = (command >> 6) & 0x03;
+	if (set_mouse_resolution(kbdc, c) != c)
+		return (FALSE);
+	c = (command >> 4) & 0x03;
+	if (set_mouse_resolution(kbdc, c) != c)
+		return (FALSE);
+	c = (command >> 2) & 0x03;
+	if (set_mouse_resolution(kbdc, c) != c)
+		return (FALSE);
+	c = (command >> 0) & 0x03;
+	if (set_mouse_resolution(kbdc, c) != c)
+		return (FALSE);
+	return (TRUE);
 }
 
-#if notyet
+#ifdef notyet
 /* Logitech MouseMan Cordless II */
 static int
 enable_lcordless(struct psm_softc *sc)
 {
-    int status[3];
-    int ch;
-
-    if (!mouse_id_proc1(sc->kbdc, PSMD_RES_HIGH, 2, status))
-        return FALSE;
-    if (status[1] == PSMD_RES_HIGH)
-	return FALSE;
-    ch = (status[0] & 0x07) - 1;	/* channel # */
-    if ((ch <= 0) || (ch > 4))
-	return FALSE;
-    /* 
-     * status[1]: always one?
-     * status[2]: battery status? (0-100)
-     */
-    return TRUE;
+	int status[3];
+	int ch;
+
+	if (!mouse_id_proc1(sc->kbdc, PSMD_RES_HIGH, 2, status))
+		return (FALSE);
+	if (status[1] == PSMD_RES_HIGH)
+		return (FALSE);
+	ch = (status[0] & 0x07) - 1;	/* channel # */
+	if ((ch <= 0) || (ch > 4))
+		return (FALSE);
+	/*
+	 * status[1]: always one?
+	 * status[2]: battery status? (0-100)
+	 */
+	return (TRUE);
 }
 #endif /* notyet */
 
